Update domain forwarding
Update domain forwarding configuration. Use this endpoint to modify existing redirect configuration for domains.
Update domain forwarding configuration.
Use this endpoint to modify existing redirect configuration for domains.
Authorizations
AuthorizationstringRequired
API Token authentication
Path parameters
domainstringRequiredExample:
Domain name
mydomain.tldBody
redirect_typestring · enumRequiredExample:
Redirect type
301Possible values: redirect_urlstringRequiredExample:
URL to forward domain to
https://forward.to.my.urlResponses
200
Success response
application/json
domainstring · nullableOptionalExample:
Domain name
mydomain.tldredirect_typestring · enumOptionalExample:
Redirect type
301Possible values: redirect_urlstringOptionalExample:
URL domain is forwarded to
https://forward.to.my.urlcreated_atstring · date-timeOptionalExample:
2025-02-27T11:54:22Zupdated_atstring · date-time · nullableOptionalExample:
2025-03-27T11:54:22Z401
Unauthenticated response
application/json
422
Validation error response
application/json
500
Error response
application/json
put/api/domains/v1/forwarding/{domain}
PUT /api/domains/v1/forwarding/{domain} HTTP/1.1
Host: developers.hostinger.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 66
{
"redirect_type": "301",
"redirect_url": "https://forward.to.my.url"
}{
"domain": "mydomain.tld",
"redirect_type": "301",
"redirect_url": "https://forward.to.my.url",
"created_at": "2025-02-27T11:54:22Z",
"updated_at": "2025-03-27T11:54:22Z"
}Last updated
Was this helpful?